.custom_col_filter {
    padding-top: 10px;
    padding-bottom: 10px;
    background-color: #fff;
    border-top: 1px solid #dfdfdf;
    border-bottom: 0;
}
.debug {
    color: #31a14b;
    font-size: 15px;
}

.notice {
    color: #007BFF;
    font-size: 15px;
}

.info {
    color: #111;
    font-size: 15px;
}

.warning {
    color: #f1da07;
    font-size: 15px;
}

.error {
    color: #e41a2e;
    font-size: 15px;
}

.emergency {
    color: #f315b0;
    font-size: 15px;
}

.custom_date { width: 170px; }


.custom_levels { width: 110px; }


.loading_screen {
    height: 735px;
    max-height: 100%;
    overflow: hidden;
    overflow-y: scroll;
    border: 1px solid #dfdfdf;
    background-color: #fff;
    border-top: 0;
    padding-top: 15px;
    position: relative;
}

.custom_loading {
    font-size: 35px;
    position: absolute;
    top: 45%;
    left: 50%;
    transform: translate(-50%, -50%);
}

#style-4::-webkit-scrollbar {
    width: 9px;
    background-color: #F5F5F5;
}

#style-1 {
    padding-left: 0px;
    padding-right: 0px;
    padding-top: 0px;
}

#style-1::-webkit-scrollbar-track { background-color: #F5F5F5; }

#style-1::-webkit-scrollbar {
    width: 9px;
    background-color: #F5F5F5;
}

#style-1::-webkit-scrollbar-thumb { background: #525761; }

.custom_height {
    height: 735px;
    max-height: 100%;
    overflow: hidden;
    overflow-y: scroll;
    border: 1px solid #dfdfdf;
    border-top: 0;
    padding-top: 15px;
}


#style-1 {
    padding-left: 0px;
    padding-right: 0px;
    padding-top: 0px;
}

#style-1::-webkit-scrollbar-track { background-color: #F5F5F5; }

#style-1::-webkit-scrollbar {
    width: 9px;
    background-color: #F5F5F5;
}

#style-1::-webkit-scrollbar-thumb { background: #525761; }

/** Log items **/
.hup_dflex {
    display: flex;
}


.loggie {
    width: 100%;
    border-top: 1px solid #e6e6e6;
    padding: 3px 0px 0px 0px;
    background-color: #fff;
}

.loggie:hover {
    cursor: pointer;
    padding: 3px 0px 0px 0px;
    background-color: #515556;
    transition: all 0.3s ease;
    border-top: 1px solid #515556;
    color: #fff;
}
.responsive_text {
    width: 60%;
    word-break: break-word;
}

.custom_levels { width: 110px; }

.custom_date { width: 170px; }


.custom_error_text {
    overflow: hidden;
    text-overflow: ellipsis;
    max-height: 67px;
}


.hide {
    display: none !important;
}

/** Webhooks */
.webhook-status-column {
    width: 1.2em;
    font-size: 1.2em;
}

.webhook-status-not-setup {
    color: rgba(59, 59, 56, 0.57) !important;
}

.webhook-status-loading {
    color: #3498db !important;
}

.webhook-status-active {
    color: #2ecc71 !important;
}

.webhook-status-paused {
    color: #ad00aa !important;
}

.webhook-status-wot {
    color: #e74c3c !important;
    display: none;
}

.blink_update_button {
    animation: blinker 1.5s infinite;
}

@keyframes blinker {
    50% {
        background-color: #e74c3c;
    }
}

.va_btn {
    vertical-align: initial !important;
}

.fa-spin-hover:hover {
    animation: fa-spin 1s infinite linear;
}

@-webkit-keyframes fa-spin {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg)
    }
    100% {
        -webkit-transform: rotate(359deg);
        transform: rotate(359deg)
    }
}

@keyframes fa-spin {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg)
    }
    100% {
        -webkit-transform: rotate(359deg);
        transform: rotate(359deg)
    }
}




.btn-more-info {
    color: white;
    background-color: #17a2b8;
    border-color: #17a2b8;
}

.btn-more-info:hover {
    color: #fff;
    background-color: #138496;
    border-color: #117a8b;
}
